org.modeshape.sequencer.teiid

## Class ImportVdb

- java.lang.Object
- - org.modeshape.sequencer.teiid.ImportVdb

- All Implemented Interfaces:
    Comparable<ImportVdb>

      public class ImportVdb
      extends Object
      implements Comparable<ImportVdb>

  A simple POJO that represents a VDB that is imported by another VDB. It is read in from a VDB manifest ("vdb.xml").

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportVdb(String name, int version)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ImportVdb that)`
    `String` | `getName()`
    `int` | `getVersion()`
    `boolean` | `isImportDataPolicies()`
    `void` | `setImportDataPolicies(boolean newImportDataPolicies)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportVdb

          public ImportVdb(String name,
                   int version)

      Parameters:
        `name` - the name of the import VDB (cannot be `null` or empty)
        `version` - the import VDB's version (must be greater than zero)

  - ### Method Detail

    - #### compareTo

          public int compareTo(ImportVdb that)

      Specified by:
        `compareTo` in interface `Comparable<ImportVdb>`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### getName

          public String getName()

      Returns:
        name

    - #### getVersion

          public int getVersion()

      Returns:
        version the imported VDB's version (always greater than zero)

    - #### isImportDataPolicies

          public boolean isImportDataPolicies()

      Returns:
        `true` if the data policies of the imported VDB should be used

    - #### setImportDataPolicies

          public void setImportDataPolicies(boolean newImportDataPolicies)

      Parameters:
        `newImportDataPolicies` - the new setting for if the data policies should be used

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.